INTEL_EXECLISTS_HAND(9)

NAME
intel_execlists_handle_ctx_events - handle Context Switch interrupts

SYNOPSIS

void intel_execlists_handle_ctx_events(struct intel_engine_cs * ring);

ARGUMENTS

ring
    Engine Command Streamer to handle.

DESCRIPTION

Check the unread Context Status Buffers and manage the submission of new contexts to the ELSP accordingly.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT